namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// 开班课表(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghre)]
public class Ghre_OpenClassScheduleController : BaseController<IGhre_OpenClassScheduleServices, Ghre_OpenClassSchedule, Ghre_OpenClassScheduleDto, InsertGhre_OpenClassScheduleInput, EditGhre_OpenClassScheduleInput>
{
    public Ghre_OpenClassScheduleController(IGhre_OpenClassScheduleServices service) : base(service)
    {
    }
}